### GET /api/search/products Source: https://api.dev.voady.se/swagger/search/openapi API endpoint for GET /api/search/products ```markdown ### Parameters - **barcode** (string, query, optional) - **brandId** (string, query, optional) - **deleted** (boolean, query, optional) - **hasPrice** (boolean, query, optional) - **includeAllSalons** (boolean, query, optional) - **input** (string, query, optional) - **limit** (integer (int32), query, optional) - **offset** (integer (int32), query, optional) - **order** (string, query, optional) - **owner** (string, query, optional) - **salonId** (string, query, required) - **series[]** (array (string), query, optional) - **sort** (string, query, optional) - **supplierId** (string, query, optional) ### Responses #### 200 - OK **SolrQueryResponseProductSearchResponse** - **responseHeader** (object) - **zkConnected** (boolean) - **status** (integer (int32)) - **QTime** (integer (int32)) - **params** (object) - **q** (string) - **response** (object) - **numFound** (integer (int32)) - **start** (integer (int32)) - **docs** (array (object)) Array items: - **id** (string) - **customPrice** (integer (int32)) - **deleted** (integer (int32)) - **desiredStockBalance** (integer (int32)) - **inPrice** (number (double)) - **incomingStock** (integer (int32)) - **price** (number (double)) - **product** (string) - **description** (string) - **series** (string) - **supplier** (string) - **brand** (object) - **id** (string) - **title** (string) - **supplier** (object) - **id** (string) - **name** (string) - **salon** (string) - **size** (string) - **stock** (integer (int32)) - **title** (string) - **weight** (string) - **imageUrl** (string) - **owner** (string) - **VAT** (integer (int32)) #### 401 - Not Authorized Not Authorized #### 403 - Not Allowed Not Allowed ### Example Usage ```bash curl -X GET "https://api.example.com/api/search/products?barcode=string&brandId=string&deleted=true&hasPrice=true&includeAllSalons=true&input=string&limit=0&offset=0&order=string&owner=string&salonId=string&series[]=item1,item2&sort=string&supplierId=string" ``` ``` -------------------------------- ### Schema: ProductSearchResponse Source: https://api.dev.voady.se/swagger/search/openapi Schema definition for ProductSearchResponse ```markdown ## Schema: ProductSearchResponse Schema definition for ProductSearchResponse **Type:** object - **id** (string) - **customPrice** (integer (int32)) - **deleted** (integer (int32)) - **desiredStockBalance** (integer (int32)) - **inPrice** (number (double)) - **incomingStock** (integer (int32)) - **price** (number (double)) - **product** (string) - **description** (string) - **series** (string) - **supplier** (string) - **brand** (object) - **id** (string) - **title** (string) - **supplier** (object) - **id** (string) - **name** (string) - **salon** (string) - **size** (string) - **stock** (integer (int32)) - **title** (string) - **weight** (string) - **imageUrl** (string) - **owner** (string) - **VAT** (integer (int32)) ``` -------------------------------- ### API Overview: voady-search-service API Source: https://api.dev.voady.se/swagger/search/openapi OpenAPI specification version 1.0.0-SNAPSHOT ```yaml # voady-search-service API # Version: 1.0.0-SNAPSHOT OpenAPI specification # Base URL: Not specified ``` -------------------------------- ### Schema: Supplier Source: https://api.dev.voady.se/swagger/search/openapi Schema definition for Supplier ```markdown ## Schema: Supplier Schema definition for Supplier **Type:** object - **id** (string) - **name** (string) ``` -------------------------------- ### Schema: SolrQueryResponseProductSearchResponse Source: https://api.dev.voady.se/swagger/search/openapi Schema definition for SolrQueryResponseProductSearchResponse ```markdown ## Schema: SolrQueryResponseProductSearchResponse Schema definition for SolrQueryResponseProductSearchResponse **Type:** object - **responseHeader** (object) - **zkConnected** (boolean) - **status** (integer (int32)) - **QTime** (integer (int32)) - **params** (object) - **q** (string) - **response** (object) - **numFound** (integer (int32)) - **start** (integer (int32)) - **docs** (array (object)) Array items: - **id** (string) - **customPrice** (integer (int32)) - **deleted** (integer (int32)) - **desiredStockBalance** (integer (int32)) - **inPrice** (number (double)) - **incomingStock** (integer (int32)) - **price** (number (double)) - **product** (string) - **description** (string) - **series** (string) - **supplier** (string) - **brand** (object) - **id** (string) - **title** (string) - **supplier** (object) - **id** (string) - **name** (string) - **salon** (string) - **size** (string) - **stock** (integer (int32)) - **title** (string) - **weight** (string) - **imageUrl** (string) - **owner** (string) - **VAT** (integer (int32)) ``` -------------------------------- ### Schema: RepsonseHeader Source: https://api.dev.voady.se/swagger/search/openapi Schema definition for RepsonseHeader ```markdown ## Schema: RepsonseHeader Schema definition for RepsonseHeader **Type:** object - **zkConnected** (boolean) - **status** (integer (int32)) - **QTime** (integer (int32)) - **params** (object) - **q** (string) ``` -------------------------------- ### Schema: Params Source: https://api.dev.voady.se/swagger/search/openapi Schema definition for Params ```markdown ## Schema: Params Schema definition for Params **Type:** object - **q** (string) ``` -------------------------------- ### Schema: ResponseProductSearchResponse Source: https://api.dev.voady.se/swagger/search/openapi Schema definition for ResponseProductSearchResponse ```markdown ## Schema: ResponseProductSearchResponse Schema definition for ResponseProductSearchResponse **Type:** object - **numFound** (integer (int32)) - **start** (integer (int32)) - **docs** (array (object)) Array items: - **id** (string) - **customPrice** (integer (int32)) - **deleted** (integer (int32)) - **desiredStockBalance** (integer (int32)) - **inPrice** (number (double)) - **incomingStock** (integer (int32)) - **price** (number (double)) - **product** (string) - **description** (string) - **series** (string) - **supplier** (string) - **brand** (object) - **id** (string) - **title** (string) - **supplier** (object) - **id** (string) - **name** (string) - **salon** (string) - **size** (string) - **stock** (integer (int32)) - **title** (string) - **weight** (string) - **imageUrl** (string) - **owner** (string) - **VAT** (integer (int32)) ``` -------------------------------- ### Schema: Brand Source: https://api.dev.voady.se/swagger/search/openapi Schema definition for Brand ```markdown ## Schema: Brand Schema definition for Brand **Type:** object - **id** (string) - **title** (string) - **supplier** (object) - **id** (string) - **name** (string) ``` -------------------------------- ### Security: SecurityScheme Source: https://api.dev.voady.se/swagger/search/openapi Authentication ```markdown ## Security: SecurityScheme **Description:** Authentication **Type:** http **Scheme:** bearer **Bearer Format:** JWT ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.